<sqtm-core-customisable-dialog
  (confirm)="
    confirmTransfer(this.formGroup.controls[this.Controls.targetProfile].value)
  "
  [titleKey]="
    'sqtm-core.administration-workspace.profiles.authorization.transfer-authorizations'
  "
>
  <sqtm-core-dialog-body>
    <div class="m-10" [formGroup]="formGroup">
      <div class="sqtm-core-dialog-form p-4">
        <label class="label label__align_right"
          >{{
            'sqtm-core.administration-workspace.profiles.authorization.target-profile'
              | translate
          }}
        </label>
        <sqtm-core-select-field
          [fieldName]="Controls.targetProfile"
          [formGroup]="formGroup"
          [options]="profileOptions"
          [placeHolder]="
            'sqtm-core.administration-workspace.profiles.dialog.message.new-profile.select-profile'
              | translate
          "
        >
        </sqtm-core-select-field>
      </div>
      @if (this.selectedTargetProfile$ | async; as targetProfileId) {
        <div
          class="m-t-10 m-b-10"
          [innerHTML]="this.getMessageToDisplay(targetProfileId)"
        ></div>
      }
    </div>
  </sqtm-core-dialog-body>
</sqtm-core-customisable-dialog>
